Subject: Re: [bitcoin-dev] This thread is not about the soft/hard fork technical debate

From: [email-masked]
Date: Tue, 6 Oct 2015 12:40:25 -0700

Just read the proposal for the dual modes... Think it would be best... Protocol question?  Do we discuss the algorithms here on this forum?  Or...

Sorry again for my thick skull!

Nina K

Sent from my iPhone

> On Oct 6, 2015, at 1:34 AM, NotMike Hearn via bitcoin-dev <[email-masked]> wrote:
> 
> I think I can solve the debate and give everyone what they want.
> 
> Some people want BIP65, others do not.
> 
> We can roll out 65 in a clever way, such that Greg/PeterT can get it, but Mike and Peter R don't need to have it (both versions can run alongside each other). Even better, people can switch back and forth between versions as much as they like.
> 
> How might this work? Well, paradoxically, we could do this by *imposing additional constraints* on transaction validation, such that transactions made a very specific certain way will always look valid to non-CLTVers, but for CLTVers they will not be valid unless the CLTV rules are followed. The obvious concern is that non-CLTV people might receive invalid payments. However, their software is already set up to request payments in a non-CLTV way, so, luckily, this is actually not a problem at all! SPV clients can elect to only connect to nodes which are non-CLTV.
> 
> Problem solved!
> 
> I am happy to have solved this problem for you all, and ended this discord harmoniously. If we all put our heads together, these words of founding father Aretha Franklin will ring true: "there's nothing we can't overcome".
> 
> 
>> On Tue, Oct 6, 2015 at 3:29 AM, Marcel Jamin via bitcoin-dev <[email-masked]> wrote:
>> This is childish and very disappointing to see.
>> 
>> 2015-10-06 9:20 GMT+02:00 Eric Lombrozo via bitcoin-dev <[email-masked]>:
>>> I prefer the term "clown".
>>> 
>>> Can we please move on?
>>> 
>>> ------ Original Message ------
>>> From: "cipher anthem via bitcoin-dev" <[email-masked]>
>>> To: [email-masked]
>>> Cc: [email-masked]
>>> Sent: 10/6/2015 12:17:14 AM
>>> Subject: Re: [bitcoin-dev] This thread is not about the soft/hard fork technical debate
>>> 
>>>>>  Sent: Monday, October 05, 2015 at 8:21 PM
>>>>>  From: "Milly Bitcoin via bitcoin-dev" <[email-masked]>
>>>>>  To: [email-masked]
>>>>>  Subject: Re: [bitcoin-dev] This thread is not about the soft/hard fork technical debate
>>>>>>  On 10/5/2015 4:05 PM, Steven Pine via bitcoin-dev wrote:
>>>>>>  It's pretty clear Mike has turned into concern troll and bully.
>>>> 
>>>>>  "troll" and, even worse, "concern troll" are terms generally used by
>>>>>  teenagers on places like Reddit to complain about someone who doesn't
>>>>>  agree with them.
>>>> 
>>>> They should substitute troll for cultist so they appear more professional...
>>>> _______________________________________________
>>>> bitcoin-dev mailing list
>>>> [email-masked]
>>>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>> 
>>> _______________________________________________
>>> bitcoin-dev mailing list
>>> [email-masked]
>>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>> 
>> 
>> _______________________________________________
>> bitcoin-dev mailing list
>> [email-masked]
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> 
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev